<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>SAModel &ndash; FLUBIO </title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>SAModel
    <small>Derived Type</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title="<p> 2.7% of total for derived types.</p>Including implementation: 253 statements,  2.1% of total for derived types.">29 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/spalartAllmaras.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/spalartallmaras.f03.html'>spalartAllmaras.f03</a></li>
    
     <li><a href='../module/spallartallmaras.html'>spallartAllmaras</a></li>
    
  
     <li class="active">SAModel</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-0">Variables</a></h3></div>
  <div id="vars-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/samodel.html#variable-cb1">Cb1</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-cb2">Cb2</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-cv1">Cv1</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-cw2">Cw2</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-cw3">Cw3</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-ct3">Ct3</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-ct4">Ct4</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-sigma">sigma</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-c2">c2</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-c3">c3</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-cw1">Cw1</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-mueff">muEff</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-nutilda">nuTilda</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-nutildaeqn">nuTildaEqn</a>
      
    </div>
  </div>
</div>


















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#boundprocs-0">Type-Bound Procedures</a></h3></div>
  <div id="boundprocs-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/samodel.html#boundprocedure-createmodel%7E2">createModel</a>
      
      <a class="list-group-item" href="../type/samodel.html#boundprocedure-modelcoeffs%7E4">modelCoeffs</a>
      
      <a class="list-group-item" href="../type/samodel.html#boundprocedure-overridedefaultcoeffs%7E2">overrideDefaultCoeffs</a>
      
      <a class="list-group-item" href="../type/samodel.html#boundprocedure-printcoeffs%7E3">printCoeffs</a>
      
      <a class="list-group-item" href="../type/samodel.html#boundprocedure-tdrdiffusivity%7E3">tdrDiffusivity</a>
      
      <a class="list-group-item" href="../type/samodel.html#boundprocedure-tdrsourceterm%7E3">tdrSourceTerm</a>
      
      <a class="list-group-item" href="../type/samodel.html#boundprocedure-updateeddyviscosity%7E6">updateEddyViscosity</a>
      
      <a class="list-group-item" href="../type/samodel.html#boundprocedure-nutwallfunction%7E3">nutWallFunction</a>
      
      <a class="list-group-item" href="../type/samodel.html#boundprocedure-turbulencemodel%7E3">turbulenceModel</a>
      
      <a class="list-group-item" href="../type/samodel.html#boundprocedure-printresidual%7E2">printResidual</a>
      
      <a class="list-group-item" href="../type/samodel.html#boundprocedure-writetofile%7E3">writeToFile</a>
      
      <a class="list-group-item" href="../type/samodel.html#boundprocedure-verbose%7E3">verbose</a>
      
    </div>
  </div>
</div>





</div>

    </div>
    
    <div class="col-md-9" id='text'>
      <h2>type, public, extends(baseModelClass) :: SAModel</h2>
    
    <br>
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Inherits</h3>
      </div>
      <div class="panel-body">
    <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: type~~samodel~~InheritsGraph Pages: 1 -->
<svg id="typesamodelInheritsGraph" width="254pt" height="116pt"
 viewBox="0.00 0.00 254.00 116.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="type~~samodel~~InheritsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 112)">
<title>type~~samodel~~InheritsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-112 250,-112 250,4 -4,4"/>
<!-- type~samodel -->
<g id="type~~samodel~~InheritsGraph_node1" class="node">
<title>type~samodel</title>
<polygon fill="none" stroke="#000000" points="246,-66 191,-66 191,-42 246,-42 246,-66"/>
<text text-anchor="middle" x="218.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">SAModel</text>
</g>
<!-- baseModelClass -->
<g id="type~~samodel~~InheritsGraph_node2" class="node">
<title>baseModelClass</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="91,-108 0,-108 0,-84 91,-84 91,-108"/>
<text text-anchor="middle" x="45.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">baseModelClass</text>
</g>
<!-- type~samodel&#45;&gt;baseModelClass -->
<g id="type~~samodel~~InheritsGraph_edge3" class="edge">
<title>type~samodel&#45;&gt;baseModelClass</title>
<path fill="none" stroke="#000000" d="M190.6915,-62.9535C184.8715,-64.7155 178.7547,-66.4855 173,-68 149.6228,-74.1522 123.5918,-80.0386 101.1768,-84.8126"/>
<polygon fill="#000000" stroke="#000000" points="100.2182,-81.4377 91.155,-86.9248 101.6618,-88.2872 100.2182,-81.4377"/>
</g>
<!-- transportEqn -->
<g id="type~~samodel~~InheritsGraph_node3" class="node">
<title>transportEqn</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="82.5,-66 8.5,-66 8.5,-42 82.5,-42 82.5,-66"/>
<text text-anchor="middle" x="45.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">transportEqn</text>
</g>
<!-- type~samodel&#45;&gt;transportEqn -->
<g id="type~~samodel~~InheritsGraph_edge2" class="edge">
<title>type~samodel&#45;&gt;transportEqn</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M190.7046,-54C164.3599,-54 124.2597,-54 92.8701,-54"/>
<polygon fill="#000000" stroke="#000000" points="92.5913,-50.5001 82.5913,-54 92.5912,-57.5001 92.5913,-50.5001"/>
<text text-anchor="middle" x="141" y="-56.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">nuTildaEqn</text>
</g>
<!-- flubioField -->
<g id="type~~samodel~~InheritsGraph_node4" class="node">
<title>flubioField</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="76,-24 15,-24 15,0 76,0 76,-24"/>
<text text-anchor="middle" x="45.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubioField</text>
</g>
<!-- type~samodel&#45;&gt;flubioField -->
<g id="type~~samodel~~InheritsGraph_edge1" class="edge">
<title>type~samodel&#45;&gt;flubioField</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M190.6915,-45.0465C184.8715,-43.2845 178.7547,-41.5145 173,-40 144.106,-32.3959 111.1578,-25.1979 85.994,-20.0045"/>
<polygon fill="#000000" stroke="#000000" points="86.5655,-16.549 76.0673,-17.9762 85.1642,-23.4073 86.5655,-16.549"/>
<text text-anchor="middle" x="141" y="-42.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">muEff, nuTilda</text>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="178pt" height="32pt"
 viewBox="0.00 0.00 177.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 173.5,-28 173.5,4 -4,4"/>
<!-- Type -->
<g id="node1" class="node">
<title>Type</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="54,-24 0,-24 0,0 54,0 54,-24"/>
<text text-anchor="middle" x="27" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Type</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node2" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="169.5,-24 72.5,-24 72.5,0 169.5,0 169.5,-24"/>
<text text-anchor="middle" x="121" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a derived type to the parent type which it
    extends. Dashed arrows point from a derived type to the other
    types it contains as a components, with a label listing the name(s) of
    said component(s).
    </p>
    </div></div></div></div>
      </div>
    </div>
    
    
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-1">Variables</a></h3></div>
  <div id="vars-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/samodel.html#variable-cb1">Cb1</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-cb2">Cb2</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-cv1">Cv1</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-cw2">Cw2</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-cw3">Cw3</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-ct3">Ct3</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-ct4">Ct4</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-sigma">sigma</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-c2">c2</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-c3">c3</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-cw1">Cw1</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-mueff">muEff</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-nutilda">nuTilda</a>
      
      <a class="list-group-item" href="../type/samodel.html#variable-nutildaeqn">nuTildaEqn</a>
      
    </div>
  </div>
</div>


















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#boundprocs-1">Type-Bound Procedures</a></h3></div>
  <div id="boundprocs-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/samodel.html#boundprocedure-createmodel%7E2">createModel</a>
      
      <a class="list-group-item" href="../type/samodel.html#boundprocedure-modelcoeffs%7E4">modelCoeffs</a>
      
      <a class="list-group-item" href="../type/samodel.html#boundprocedure-overridedefaultcoeffs%7E2">overrideDefaultCoeffs</a>
      
      <a class="list-group-item" href="../type/samodel.html#boundprocedure-printcoeffs%7E3">printCoeffs</a>
      
      <a class="list-group-item" href="../type/samodel.html#boundprocedure-tdrdiffusivity%7E3">tdrDiffusivity</a>
      
      <a class="list-group-item" href="../type/samodel.html#boundprocedure-tdrsourceterm%7E3">tdrSourceTerm</a>
      
      <a class="list-group-item" href="../type/samodel.html#boundprocedure-updateeddyviscosity%7E6">updateEddyViscosity</a>
      
      <a class="list-group-item" href="../type/samodel.html#boundprocedure-nutwallfunction%7E3">nutWallFunction</a>
      
      <a class="list-group-item" href="../type/samodel.html#boundprocedure-turbulencemodel%7E3">turbulenceModel</a>
      
      <a class="list-group-item" href="../type/samodel.html#boundprocedure-printresidual%7E2">printResidual</a>
      
      <a class="list-group-item" href="../type/samodel.html#boundprocedure-writetofile%7E3">writeToFile</a>
      
      <a class="list-group-item" href="../type/samodel.html#boundprocedure-verbose%7E3">verbose</a>
      
    </div>
  </div>
</div>





    </section>
    <br class="visible-xs visible-sm hidden-md">

    
    <section>
    <h2>Components</h2>
    
<table class="table table-striped varlist">
<thead><tr><th>Type</th><th>Visibility</th>

<th>Attributes</th><th></th><th>Name</th><th></th><th>Initial</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-cb1"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>Cb1</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-cb2"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>Cb2</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-cv1"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>Cv1</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-cw2"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>Cw2</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-cw3"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>Cw3</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ct3"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>Ct3</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ct4"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>Ct4</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-sigma"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>sigma</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-c2"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>c2</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-c3"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>c3</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-cw1"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>Cw1</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-mueff"></span>type(flubioField),</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>muEff</strong></td><td></td><td></td><td><p>diffusion coeffient for the SA eqaution</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-nutilda"></span>type(flubioField),</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>nuTilda</strong></td><td></td><td></td><td><p>Trasported field</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-nutildaeqn"></span>type(transportEqn),</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>nuTildaEqn</strong></td><td></td><td></td><td><p>SA equation</p></td>
  
</tr>

</tbody>
</table>

    </section>
    <br>
    
    
    
    
    
    
     
    <section>
    <h2>Type-Bound Procedures</h2>
    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-createmodel%7E2"></span><h3>procedure, public :: <strong>createModel</strong>  => <a href='../proc/createsamodel.html'>createSAModel</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/createsamodel.html'>createSAModel</a>(this)
    
    
   
</h3>
    







<p>createSAModel is the model contructor.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/samodel.html'>SAModel</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-modelcoeffs%7E4"></span><h3>procedure, public :: <strong>modelCoeffs</strong>  => <a href='../proc/samodelcoeffs.html'>SAModelCoeffs</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/samodelcoeffs.html'>SAModelCoeffs</a>(this)
    
    
   
</h3>
    







<p>SAModelCoeffs sets the model coefficient according to NASA.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/samodel.html'>SAModel</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-overridedefaultcoeffs%7E2"></span><h3>procedure, public :: <strong>overrideDefaultCoeffs</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/overridedefaultcoeffs%7E2.html'>overrideDefaultCoeffs</a>(this)
    
    
   
</h3>
    







<p>odoverrideDefaultCoeffs set the coefficients as you might have defined in turbulenceModel dictionary.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/samodel.html'>SAModel</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-printcoeffs%7E3"></span><h3>procedure, public :: <strong>printCoeffs</strong>  => <a href='../proc/printcoeffssa.html'>printCoeffsSA</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/printcoeffssa.html'>printCoeffsSA</a>(this)
    
    
   
</h3>
    







<p>printCoeffsSA prints coefficients to screen.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/samodel.html'>SAModel</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-tdrdiffusivity%7E3"></span><h3>procedure, public :: <strong>tdrDiffusivity</strong>  => <a href='../proc/nutildadiffusivity.html'>nuTildaDiffusivity</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/nutildadiffusivity.html'>nuTildaDiffusivity</a>(this)
    
    
   
</h3>
    







<p>nuTildaDiffusivity computes the diffusion coefficient for the SA equation.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/samodel.html'>SAModel</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-tdrsourceterm%7E3"></span><h3>procedure, public :: <strong>tdrSourceTerm</strong>  => <a href='../proc/sourcetermsa.html'>sourceTermSA</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/sourcetermsa.html'>sourceTermSA</a>(this)
    
    
   
</h3>
    







<p>sourceTermSA computes the source term for the SA equation.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/samodel.html'>SAModel</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-updateeddyviscosity%7E6"></span><h3>procedure, public :: <strong>updateEddyViscosity</strong>  => <a href='../proc/eddyviscositysa.html'>eddyViscositySA</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/eddyviscositysa.html'>eddyViscositySA</a>(this)
    
    
   
</h3>
    







<p>eddyViscositySA computes the eddy viscosity according to the SA turbulece model.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/samodel.html'>SAModel</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-nutwallfunction%7E3"></span><h3>procedure, public :: <strong>nutWallFunction</strong>  => <a href='../proc/nutwallfunctionsa.html'>nutWallFunctionSA</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/nutwallfunctionsa.html'>nutWallFunctionSA</a>(this)
    
    
   
</h3>
    







<p>nutWallFunctionSA computes the value of the eddy viscosity at solid walls for the SA turbulence models.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/samodel.html'>SAModel</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-turbulencemodel%7E3"></span><h3>procedure, public :: <strong>turbulenceModel</strong>  => <a href='../proc/spalartallmarasmodel.html'>spalartAllmarasModel</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/spalartallmarasmodel.html'>spalartAllmarasModel</a>(this)
    
    
   
</h3>
    







<p>spalartAllmarasModel is the driver for the SA model.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/samodel.html'>SAModel</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-printresidual%7E2"></span><h3>procedure, public :: <strong>printResidual</strong>  => <a href='../proc/nutildaeqresidual.html'>nuTildaEqresidual</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/nutildaeqresidual.html'>nuTildaEqresidual</a>(this)
    
    
   
</h3>
    







<p>nuTildaEqresidual writes the residual to file and to standard output.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/samodel.html'>SAModel</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-writetofile%7E3"></span><h3>procedure, public :: <strong>writeToFile</strong>  => <a href='../proc/nutildawritetofile.html'>nuTildaWriteToFile</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/nutildawritetofile.html'>nuTildaWriteToFile</a>(this)
    
    
   
</h3>
    







<p>nuTildaWriteToFile writes the SA fields to output.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/samodel.html'>SAModel</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-verbose%7E3"></span><h3>procedure, public :: <strong>verbose</strong>  => <a href='../proc/saverbose.html'>SAverbose</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/saverbose.html'>SAverbose</a>(this)
    
    
   
</h3>
    







<p>SAverbose writes info to the standard output.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/samodel.html'>SAModel</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
    </section>
    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>